﻿namespace vsXPathSDK
{
    public abstract class ImportExportPlugin : IPlugin
    {

        #region IPlugin Members

        public abstract string Name
        {
            get;
        }

        public abstract string SupportURL
        {
            get;
        }

        public abstract int PluginVersion
        {
            get;
        }
        public PluginType Type
        {
            get { return PluginType.ImportExport; }
        }



        #endregion

        public abstract ImportExportType IMType { get; }
        public abstract string FileDescription { get; }
        public abstract string FileExtension { get; }
       
    }

    public enum ImportExportType
    {
        Import = 1,
        Export = 2,
        Both = 3,
    }
}