﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using vsXPathTester.Lib;

namespace vsXPathTester.Controls
{
    /// <summary>
    /// Interaction logic for ucAboutApplication.xaml
    /// </summary>
    public partial class ucAboutApplication : UserControl, ITabbedWindow
    {
        public ucAboutApplication()
        {
            InitializeComponent();
            this.TabName = "AboutApplication";
            this.TabTitle = "About";
            this.IsAllowRefresh = false;
        }

        #region Inteface Implementation

        public event CloseTab CloseInitiated;

        public event ReloadTabData Reload;

        public string TabName { get; set; }

        public string TabTitle { get; set; }

        public bool IsAllowRefresh { get; set; }

        public void ReloadData()
        {
            //Do nothing
            if (this.Reload != null)
            {
                this.Reload(this, new EventArgs());
            }
        }

        #endregion
    }
}
